﻿using ComputersShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.BindingModels
{
    public class ComputerBindingModel : IComputerModel
    {
        public int Id { get; set; }

        public string ComputerName { get; set; } = string.Empty;

        public double Price { get; set; }

        public Dictionary<int, (IComponentModel, int)> ComputerComponents { get; set; } = new();
    }
}