﻿using ComputersShopContracts.BindingModels;
using ComputersShopContracts.SearchModels;
using ComputersShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.StoragesContracts
{
    public interface IComputerStorage
    {
        List<ComputerViewModel> GetFullList();
        List<ComputerViewModel> GetFilteredList(ComputerSearchModel model);
        ComputerViewModel? GetElement(ComputerSearchModel model);
        ComputerViewModel? Insert(ComputerBindingModel model);
        ComputerViewModel? Update(ComputerBindingModel model);
        ComputerViewModel? Delete(ComputerBindingModel model);
    }
}
